config/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path("", include("core.urls", namespace="core")),
    path("rooms/", include("rooms.urls", namespace="rooms")),
    path("users/", include("users.urls", namespace="users")),
    path("admin/", admin.site.urls),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

core/urls.py
from django.urls import path
from rooms import views as room_views

app_name = "core"


urlpatterns = [path("", room_views.HomeView.as_view(), name="home")]

users/urls.py
from django.urls import path

from . import views

app_name = "users"

urlpatterns = [
    path("login", view=views.LoginView.as_view(), name="login"),
    path("logout", view=views.log_out, name="logout"),
    path("signup", view=views.SignUpView.as_view(), name="signup"),
    path(
        "verify/<str:key>",
        view=views.complete_verification,
        name="complete-verification",
    ),
    path(
        "login/github",
        view=views.github_login,
        name="github-login",
    ),
]

templates/partials/footer.html
<footer>
    &copy: Airbnb-clone
</footer>

templates/partials/nav.html
<a href="{% url 'core:home' %}">Airbnb</a>
<ul>
    {% if user.is_authenticated %}
        <li><a href="{% url 'users:logout' %}">Выйти из аккаунта</a></li>
    {% else %}
        <li><a href="{% url 'users:login' %}">Войти в аккаунт</a></li>
        <li><a href="{% url 'users:signup' %}">Регистрация</a></li>
    {% endif %}
        
</ul>

templates/partials/social_login.html
<div>
    <a href="{% url 'users:github-login'%}">Войти через GitHub</a>
    <a href="{% url 'users:vk-login'%}">Войти через VK</a>
</div>